프록시 업데이트 — 프록시 회전 활성화 또는 비활성화
이 섹션에서는 PinguProxy에서 프록시 업데이트 — 프록시 회전 활성화 또는 비활성화을 안정적으로 설정하는 방법을 설명합니다.
PUT
/proxies/update_rotation본문 매개변수
보안
Authorizationstring필수JWT Bearer 토큰
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
요청 본문
idinteger필수업데이트할 프록시 ID
is_rotatingboolean필수프록시 회전 활성화 또는 비활성화
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotation', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 is_rotating: true10 })11});1213const result = await response.json();
응답
상태 200
{"is_rotating": true}
프록시 업데이트 — 새 회전 간격(초)
이 섹션에서는 PinguProxy에서 프록시 업데이트 — 새 회전 간격(초)을 안정적으로 설정하는 방법을 설명합니다.
PUT
/proxies/update_rotate_interval본문 매개변수
보안
Authorizationstring필수JWT Bearer 토큰
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
요청 본문
idinteger필수업데이트할 프록시 ID
rotate_intervalinteger필수새 회전 간격(초)
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotate_interval', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 rotate_interval: 30010 })11});1213const result = await response.json();
응답
상태 200
{"success": true}
프록시 업데이트 — 새 프록시 라벨
이 섹션에서는 PinguProxy에서 프록시 업데이트 — 새 프록시 라벨을 안정적으로 설정하는 방법을 설명합니다.
PUT
/proxies/update_label본문 매개변수
보안
Authorizationstring필수JWT Bearer 토큰
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
요청 본문
idinteger필수업데이트할 프록시 ID
labelstring필수새 프록시 라벨
1const response = await fetch('https://api.pinguproxy.com/proxies/update_label', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 label: 'My Proxy'10 })11});1213const result = await response.json();
응답
상태 200
true